{% load wagtailcore_tags %}
<div class="side-cta-panel" id="cta-side">
  <div class="py-8 bg-white w-full flex flex-col items-center border-l-2 border-acidgreen overflow-y-scroll h-full">

    <div class="cta-card cta-news px-8 py-8 bg-acidgreen sidePanel">
      <p class="font-alt text-4xl">CHCI VĚDĚT VÍCE</p>
      <form method="post" action="{{ page.root_page.newsletter_subscribe_url }}">
        {% csrf_token %}
        <input type="hidden" name="return_page_id" value="{{ page.id }}">
        <input name="email" type="email" class="text-input form-field__control w-full mt-7" value="" placeholder="Zadejte email" required="">
        <button class="btn btn--icon my-2 text-lg w-full cta-btn">
          <div class="btn__body-wrap">
            <div class="btn__body py-4 leading-4 w-full">Přihlásit se k newsletteru</div>
            <div class="btn__icon px-4 bg-grey-800 border-grey-500">
              <i class="ico--chevron-right"></i>
            </div>
          </div>
        </button>
        <div class="checkbox form-field__control cta-cbox h-6">
          <input type="checkbox" name="confirmed" id="confirmed" required="">
          <label for="confirmed" style="color: #000000"> Souhlasím se <a href="{{ page.root_page.gdpr_and_cookies_url }}" class="underline" target="_blank">zásadami ochrany osobních údajů</a> a zasíláním novinek</label>
        </div>
      </form>
    </div>

    <div class="cta-card cta-help px-8 py-8 bg-lemon sidePanel" id="cta-card">
      <p class="font-alt text-4xl w-full mb-7">CHCI POMÁHAT</p>
      {% comment %}
      <div class="cta-animated collapsed">
        <form id="helpform">
          <input name="tel" type="text" class="text-input form-field__control w-full mb-2" value="" placeholder="Telefon" required="">
          <input name="email" type="email" class="text-input form-field__control w-full mb-2" value="" placeholder="Email" required="">
          <input name="psc" type="text" class="text-input form-field__control w-full  mb-2" value="" placeholder="PSČ" required="">
          <input name="" type="text" class="text-input form-field__control w-full  mb-2" value="" placeholder="Moje dovednosti" required="">
          <div class="select ">
            <select class="select__control form-field__control w-full  mb-2" onchange="this.dataset.chosen = this.value;" data-chosen="" required="">
              <option selected="" value="">Kraj</option>
              <option>Option 1</option>
              <option>Quite long and described option</option>
              <option>Option 3</option>
            </select>
          </div>
          <button class="btn btn--icon text-lg w-full cta-btn">
            <div class="btn__body-wrap">
              <div class="btn__body py-4 leading-4 w-full">Odeslat</div>
              <div class="btn__icon px-4 bg-grey-800 border-grey-500">
                <i class="ico--chevron-right"></i>
              </div>
            </div>
          </button>
        </form>
        <div class="flex justify-center items-center w-full cta-help-toggler mt-2">
          <i class="ico--chevron-up px-4 cursor-pointer"></i>
        </div>
      </div>
      <button class="btn btn--icon text-lg w-full cta-button cta-help-toggler cta-animated-rev">
        <div class="btn__body-wrap">
          <div class="btn__body py-4 leading-4 w-full">Chci pomáhat jako dobrovolník</div>
          <div class="btn__icon px-4 bg-grey-800 border-grey-500">
            <i class="ico--chevron-right"></i>
          </div>
        </div>
      </button>
      {% endcomment %}
      <a href="{{ page.root_page.onboarding_url }}" class="btn btn--icon text-lg w-full cta-button my-2">
        <div class="btn__body-wrap">
          <div class="btn__body py-4 leading-4 w-full">Chci pomáhat v kampani</div>
          <div class="btn__icon px-4 bg-grey-800 border-grey-500">
            <i class="ico--chevron-right"></i>
          </div>
        </div>
      </a>
    </div>
    <script>
      if (typeof window.initializehelp === 'undefined') {
        window.initializehelp = function() {
          let state = 0;
          document.querySelectorAll('.cta-help-toggler').forEach(item => {
            item.addEventListener("click", event => {
              helpelement = event.target.closest(".cta-help");
              let elements = helpelement.querySelectorAll(".cta-animated");
              let elements2 = helpelement.querySelectorAll(".cta-animated-rev");
              if (state === 0) {
                [].forEach.call(elements, function(el) {
                  el.classList.remove("collapsed");
                });
                [].forEach.call(elements2, function(el) {
                  el.classList.add("collapsed");
                });
                state = 1;
              } else {
                [].forEach.call(elements2, function(el) {
                  el.classList.remove("collapsed");
                });
                [].forEach.call(elements, function(el) {
                  el.classList.add("collapsed");
                });
                state = 0;
              }
            });
          });
        }

        window.addEventListener('load', function() {
          initializehelp();
        });
      }

      function isValidPhone(phoneNumber) {
        var found = phoneNumber.search(/^[+]*[(]{0,1}[0-9]{1,3}[)]{0,1}[-\s\./0-9]{7,18}$/g);
        if (found > -1) {
          return true;
        } else {
          return false;
        }
      }

      function isValidZip(zip) {
        var found = zip.search(/^(?=.*\d)[\d ]{5,6}$/g);
        if (found > -1) {
          return true;
        } else {
          return false;
        }
      }
      window.addEventListener('DOMContentLoaded', (event) => {
        var elements = document.querySelectorAll("input, select");
        for (var i = 0; i < elements.length; i++) {
          if (elements[i].getAttribute("type") == "email") {
            elements[i].onchange = function(e) {
              e.target.setCustomValidity("");
              e.target.checkValidity();
            };
            elements[i].oninvalid = function(e) {
              if (e.target.value == "")
                e.target.setCustomValidity(
                  "E-mail je povinná položka"
                );
              else
                e.target.setCustomValidity(
                  "Neplatný e-mail"
                );
            }
          } else if (elements[i].getAttribute("name") == "tel") {
            elements[i].onchange = function(e) {
              if (isValidPhone(e.target.value)) {
                e.target.setCustomValidity("");
              } else {
                e.target.setCustomValidity("Telefonní číslo obsahuje chybu");
              }
              e.target.checkValidity();
            };
            elements[i].oninput = function(e) {
              if (isValidPhone(e.target.value)) {
                e.target.setCustomValidity("");
              } else {
                e.target.setCustomValidity("Telefonní číslo obsahuje chybu");
              }
              e.target.checkValidity();
            };
            elements[i].oninvalid = function(e) {
              if (e.target.value == "")
                e.target.setCustomValidity(
                  "Telefon je povinná položka"
                );
            };
          } else if (elements[i].getAttribute("name") == "psc") {
            elements[i].onchange = function(e) {
              if (isValidZip(e.target.value)) {
                e.target.setCustomValidity("");
              } else {
                e.target.setCustomValidity("PSČ číslo obsahuje chybu");
              }
              e.target.checkValidity();
            };
            elements[i].oninput = function(e) {
              if (isValidZip(e.target.value)) {
                e.target.setCustomValidity("");
              } else {
                e.target.setCustomValidity("PSČ číslo obsahuje chybu");
              }
              e.target.checkValidity();
            };
            elements[i].oninvalid = function(e) {
              if (e.target.value == "")
                e.target.setCustomValidity(
                  "PSČ je povinná položka"
                );
            };
          } else {
            elements[i].oninvalid = function(e) {
              e.target.setCustomValidity("");
              if (!e.target.validity.valid) {
                e.target.setCustomValidity("Toto pole je povinné");
              }
            };
            elements[i].onchange = function(e) {
              e.target.setCustomValidity("");
            };
          }
        }
      });
    </script>
    <div class="cta-card cta-support px-8 py-8 bg-white sidePanel">
      <p class="font-alt text-4xl w-full mb-7">CHCI PODPOŘIT</p>
      <a href="{% pageurl page.root_page.donate_page %}" class="btn btn--icon text-lg w-full cta-btn">
        <div class="btn__body-wrap">
          <div class="btn__body py-4 leading-4 w-full">Chci darovat na kampaň</div>
          <div class="btn__icon px-4 bg-grey-800 border-grey-500">
            <i class="ico--chevron-right"></i>
          </div>
        </div>
      </a>
    </div>
    <!--todo: only toggle one body class-->
    <div class="side-cta-panel--toggler" onclick="document.body.classList.remove('ctaopen');getElementById('side-cta-filter').classList.remove('side-cta-panel--filter--ctaopen');getElementById('cta-side').classList.remove('side-cta-panel--ctaopen');"></div>
  </div>
</div>

<div class="side-cta-panel--filter" id="side-cta-filter"></div>

<div class="side-cta-panel-bar-wrapper">
  <div class="side-cta-panel-bar" id="cta-side-bar" onclick="document.body.classList.add('ctaopen');getElementById('side-cta-filter').classList.add('side-cta-panel--filter--ctaopen');getElementById('cta-side').classList.add('side-cta-panel--ctaopen');">
    <div class="side-cta-panel-bar--toggler"></div>
    <div class="side-cta-panel-bar-el img-news bg-acidgreen elevation-6 hover:bg-darkacidgreen hover:elevation-1 transition-all cursor-pointer"></div>
    <div class="side-cta-panel-bar-el img-help bg-lemon elevation-6 hover:bg-opacity-70 hover:elevation-1 transition-all cursor-pointer"></div>
    <div class="side-cta-panel-bar-el img-support bg-white elevation-6 hover:bg-opacity-70 hover:elevation-1 transition-all cursor-pointer"></div>
  </div>
</div>
